# Generated by Django 2.1.7 on 2020-11-09 15:20

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import formerCustomers.models


class Migration(migrations.Migration):

    dependencies = [
        ('formerCustomers', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='historicalremoveequipamentmodel',
            name='remember',
        ),
        migrations.RemoveField(
            model_name='historicalremoveequipamentmodel',
            name='slack_thread',
        ),
        migrations.RemoveField(
            model_name='removeequipamentmodel',
            name='remember',
        ),
        migrations.RemoveField(
            model_name='removeequipamentmodel',
            name='slack_thread',
        ),
        migrations.AddField(
            model_name='historicalremoveequipamentmodel',
            name='seriales',
            field=django.contrib.postgres.fields.jsonb.JSONField(default=list, validators=[formerCustomers.models.RemoveEquipamentModel.validate_seriales]),
        ),
        migrations.AddField(
            model_name='removeequipamentmodel',
            name='seriales',
            field=django.contrib.postgres.fields.jsonb.JSONField(default=list, validators=[formerCustomers.models.RemoveEquipamentModel.validate_seriales]),
        ),
        migrations.AlterField(
            model_name='historicalremoveequipamentmodel',
            name='rut',
            field=models.CharField(max_length=20, null=True, validators=[formerCustomers.models.RemoveEquipamentModel.validate_rut]),
        ),
        migrations.AlterField(
            model_name='removeequipamentmodel',
            name='rut',
            field=models.CharField(max_length=20, null=True, validators=[formerCustomers.models.RemoveEquipamentModel.validate_rut]),
        ),
    ]
